Groovy Documentation

## org.codehaus.groovy.tools.groovydoc
[Groovy] Class Main

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.Main

    class Main

Main CLI entry-point for `groovydoc`.

Authors:
  Paul King

Method Summary
`static java.lang.Object` | `collectSourceFileNames(java.util.List remainingArgs, java.lang.String[] sourceDirs, java.util.List exclusions)`
`static void` | `execute()`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### collectSourceFileNames

    static java.lang.Object collectSourceFileNames(java.util.List remainingArgs, java.lang.String[] sourceDirs, java.util.List exclusions)

### execute

    static void execute()

### main

    static void main(java.lang.String[] args)

Groovy Documentation